# core/console.py
#
#

""" basic package for the program. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core.defaults import cfg_irc, cfg_xmpp
from core.defines import BLA, GREEN, ENDC, pfc
from core.utils import short_date
from core.object import Object
from core.bot import Bot

from core import kernel

import time
import sys

## CONSOLE

class ConsoleBot(Bot):

    """ bot running on the console. """


    def __init__(zelf, *args, **kwargs):
        Bot.__init__(zelf, *args, **kwargs)
        zelf.channels.append("shell")

    def _raw(zelf, *args, **kwargs): zelf.echo(*args, **kwargs)

    def get_prompt(zelf, *args, **kwargs):
        return "%s %s<%s " % (short_date(time.ctime(time.time())).split()[1], GREEN, ENDC)
 
    def get_event(zelf, *args, **kwargs):
        if not kernel.cfg.shell:
            txt =  " ".join(kernel.cfg.runargs)
            zelf._status = "once"
        else:
            txt = input(zelf.get_prompt())
            sys.stdout.flush()
        if not txt: return
        o = Object()
        o.txt = txt
        o._target = zelf
        return o
